Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order1.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order1.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order2.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order2.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order3.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order3.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order4.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order4.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order5.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order5.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order6.at	(revision 3a9091f060344cff8516d05b05d191d5b46b5131)
+++ tests/Fragmentations/Fragmenting/putrescine/testsuite-fragmenting-putrescine-order6.at	(revision 99b0dc7573c545c2d1ab699c79e875df4d992cb9)
@@ -14,5 +14,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE  --output-types "mpqc pcp xyz"], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
 AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])