Index: src/ControllerOptions_MPQCCommandJob.cpp
===================================================================
--- src/ControllerOptions_MPQCCommandJob.cpp	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ src/ControllerOptions_MPQCCommandJob.cpp	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
@@ -26,5 +26,5 @@
 
 int ControllerOptions_MPQCCommandJob::parseExecutable(boost::program_options::variables_map &vm) {
-  if ((command == "createjobs") || (command == "addjobs")) {
+  if (command == "addjobs") {
     if (!vm.count("executable")) {
       ELOG(1, "'"+command+"' requires two options: [executable] [jobcommand].");
@@ -32,15 +32,4 @@
     }
     executable = vm["executable"].as< std::string >();
-  }
-  return 0;
-}
-
-int ControllerOptions_MPQCCommandJob::parseJobCommand(boost::program_options::variables_map &vm) {
-  if (command == "createjobs") {
-    if (!vm.count("jobcommand")) {
-      ELOG(1, "'"+command+"' requires two options: [executable] [jobcommand].");
-      return 255;
-    }
-    jobcommand = vm["jobcommand"].as< std::string >();
   }
   return 0;
Index: src/ControllerOptions_MPQCCommandJob.hpp
===================================================================
--- src/ControllerOptions_MPQCCommandJob.hpp	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ src/ControllerOptions_MPQCCommandJob.hpp	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
@@ -23,11 +23,8 @@
 {
   int parseExecutable(boost::program_options::variables_map &vm);
-  int parseJobCommand(boost::program_options::variables_map &vm);
-
   int parseFragmentpath(boost::program_options::variables_map &vm);
   int parseJobfiles(boost::program_options::variables_map &vm);
 
   std::string executable;
-  std::string jobcommand;
   std::string fragmentpath;
   std::vector<std::string> jobfiles;
Index: src/controller_MPQCCommandJob.cpp
===================================================================
--- src/controller_MPQCCommandJob.cpp	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ src/controller_MPQCCommandJob.cpp	(revision 103eb8b758b1d67aaeaf2e52f87bfbba00a58174)
@@ -260,25 +260,4 @@
 }
 
-
-/** Creates a SystemCommandJob out of give \a command with \a argument.
- *
- * @param controller reference to controller to add jobs
- * @param ControllerInfo information on the job
- */
-void createJobs(FragmentController &controller, const ControllerOptions_MPQCCommandJob &ControllerInfo)
-{
-  const JobId_t next_id = controller.getAvailableId();
-  LOG(2, "DEBUG: Creating new SystemCommandJob with '"
-      +toString(ControllerInfo.executable)+"' and argument '"
-      +toString(ControllerInfo.jobcommand)+"'.");
-  FragmentJob::ptr testJob(
-      new SystemCommandJob(ControllerInfo.executable, ControllerInfo.jobcommand, next_id) );
-  std::vector<FragmentJob::ptr> jobs;
-  jobs.push_back(testJob);
-  controller.addJobs(jobs);
-  controller.sendJobs(ControllerInfo.server, ControllerInfo.serverport);
-  LOG(1, "INFO: Added one SystemCommandJob.");
-}
-
 /** Creates a MPQCCommandJob out of give \a command with \a argument.
  *
@@ -329,10 +308,4 @@
             boost::bind(&std::vector<std::string>::size, boost::cref(CI.jobfiles))))
         (boost::bind(&AddJobs, boost::ref(controller), boost::cref(CI)))
-      ));
-  registrator(new ControllerCommand("createjobs",
-      boost::assign::list_of< ControllerCommand::commands_t >
-        (boost::bind(&FragmentController::requestIds,
-            boost::ref(controller), boost::cref(ControllerInfo.server), boost::cref(ControllerInfo.serverport), 1))
-        (boost::bind(&createJobs, boost::ref(controller), boost::cref(CI)))
       ));
   registrator(new ControllerCommand("receiveresults",
@@ -358,5 +331,4 @@
 {
   option
-    ("jobcommand", boost::program_options::value< std::string >(), "command argument for executable for 'createjobs'")
     ("executable", boost::program_options::value< std::string >(), "executable for commands 'createjobs'")
     ("fragment-path", boost::program_options::value< std::string >(), "path to fragment files for 'receivempqc'")
@@ -374,6 +346,4 @@
   status = CI.parseExecutable(vm);
   if (status) return status;
-  status = CI.parseJobCommand(vm);
-  if (status) return status;
   status = CI.parseFragmentpath(vm);
   if (status) return status;