Index: src/Actions/WorldAction/AddEmptyBoundaryAction.cpp
===================================================================
--- src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/AddEmptyBoundaryAction.hpp"
Index: src/Actions/WorldAction/BoundInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/BoundInBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/BoundInBoxAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/BoundInBoxAction.hpp"
Index: src/Actions/WorldAction/CenterInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/CenterInBoxAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/CenterInBoxAction.hpp"
Index: src/Actions/WorldAction/CenterOnEdgeAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/CenterOnEdgeAction.hpp"
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/ChangeBoxAction.hpp"
Index: src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp
===================================================================
--- src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/RemoveSphereOfAtomsAction.hpp"
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/RepeatBoxAction.hpp"
Index: src/Actions/WorldAction/ScaleBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/ScaleBoxAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/ScaleBoxAction.hpp"
Index: src/Actions/WorldAction/SetDefaultNameAction.cpp
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/SetDefaultNameAction.hpp"
Index: src/Actions/WorldAction/SetGaussianBasisAction.cpp
===================================================================
--- src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision 112b090c14e4507fb9dde0a3a340b9a3d61823ba)
@@ -5,4 +5,6 @@
  *      Author: heber
  */
+
+#include "Helpers/MemDebug.hpp"
 
 #include "Actions/WorldAction/SetGaussianBasisAction.hpp"