Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-cube.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-cube.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -38,6 +38,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+		--Alignment-Axis "0,0,-1"], 0, [stdout], [stderr])
 AT_CHECK([grep "26 out of 26 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -67,6 +66,5 @@
 		--min-distance 3.1 \
 		--Alignment-Axis "0,0,-1" \
-	--undo
-], 0, [stdout], [stderr])
+	--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -96,6 +94,5 @@
 		--Alignment-Axis "0,0,-1" \
 	--undo \
-	--redo
-], 0, [stdout], [stderr])
+	--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-cylinder.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-cylinder.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -38,6 +38,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+		--Alignment-Axis "0,0,-1"], 0, [stdout], [stderr])
 AT_CHECK([grep "32 out of 32 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -67,6 +66,5 @@
 		--min-distance 3.1 \
 		--Alignment-Axis "0,0,-1" \
-	--undo
-], 0, [stdout], [stderr])
+	--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -96,6 +94,5 @@
 		--Alignment-Axis "0,0,-1" \
 	--undo \
-	--redo
-], 0, [stdout], [stderr])
+	--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-everywhere.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-everywhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -38,6 +38,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
-], 5, [stdout], [stderr])
+		--Alignment-Axis "0,0,1"], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 #AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -39,6 +39,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
-], 0, [stdout], [stderr])
+		--Alignment-Axis "0,0,1"], 0, [stdout], [stderr])
 AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
@@ -69,6 +68,5 @@
 		--min-distance 3.1 \
 		--Alignment-Axis "0,0,1" \
-	--undo
-], 0, [stdout], [stderr])
+	--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -99,6 +97,5 @@
 		--Alignment-Axis "0,0,1" \
 	--undo \
-	--redo
-], 0, [stdout], [stderr])
+	--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
 
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-nowhere.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-nowhere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -38,6 +38,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,1"
-], 5, [stdout], [stderr])
+		--Alignment-Axis "0,0,1"], 5, [stdout], [stderr])
 #AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 #AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
Index: tests/regression/Filling/FillSurface/testsuite-fill-surface-sphere.at
===================================================================
--- tests/regression/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 4fc0ea189daecd4174db3fa5881d3dab8e459fc0)
+++ tests/regression/Filling/FillSurface/testsuite-fill-surface-sphere.at	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
@@ -38,6 +38,5 @@
 		--count 20 \
 		--min-distance 3.1 \
-		--Alignment-Axis "0,0,-1"
-], 0, [stdout], [stderr])
+		--Alignment-Axis "0,0,-1"], 0, [stdout], [stderr])
 AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -67,6 +66,5 @@
 		--min-distance 3.1 \
 		--Alignment-Axis "0,0,-1" \
-	--undo
-], 0, [stdout], [stderr])
+	--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 
@@ -96,6 +94,5 @@
 		--Alignment-Axis "0,0,-1" \
 	--undo \
-	--redo
-], 0, [stdout], [stderr])
+	--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
 