Index: src/Actions/FragmentationAction/DepthFirstSearchAction.cpp
===================================================================
--- src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -9,4 +9,5 @@
 
 #include "Actions/FragmentationAction/DepthFirstSearchAction.hpp"
+#include "Actions/ActionCalls.hpp"
 #include "atom.hpp"
 #include "bondgraph.hpp"
@@ -37,4 +38,9 @@
 FragmentationDepthFirstSearchAction::~FragmentationDepthFirstSearchAction()
 {}
+
+void FragmentationDepthFirstSearch(double distance) {
+  ValueStorage::getInstance().setCurrentValue(FragmentationDepthFirstSearchAction::NAME, distance);
+  ActionRegistry::getInstance().getActionByName(FragmentationDepthFirstSearchAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* FragmentationDepthFirstSearchAction::createDialog() {
Index: src/Actions/FragmentationAction/DepthFirstSearchAction.hpp
===================================================================
--- src/Actions/FragmentationAction/DepthFirstSearchAction.hpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/DepthFirstSearchAction.hpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -12,4 +12,6 @@
 
 class FragmentationDepthFirstSearchAction : public Action {
+  friend void FragmentationDepthFirstSearch(double distance);
+
 public:
   FragmentationDepthFirstSearchAction();
Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -9,4 +9,5 @@
 
 #include "Actions/FragmentationAction/FragmentationAction.hpp"
+#include "Actions/ActionCalls.hpp"
 #include "atom.hpp"
 #include "bondgraph.hpp"
@@ -35,4 +36,11 @@
 FragmentationFragmentationAction::~FragmentationFragmentationAction()
 {}
+
+void FragmentationFragmentation(std::string &path, double distance, int order) {
+  ValueStorage::getInstance().setCurrentValue(FragmentationFragmentationAction::NAME, path);
+  ValueStorage::getInstance().setCurrentValue("distance", distance);
+  ValueStorage::getInstance().setCurrentValue("order", order);
+  ActionRegistry::getInstance().getActionByName(FragmentationFragmentationAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* FragmentationFragmentationAction::createDialog() {
Index: src/Actions/FragmentationAction/FragmentationAction.hpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.hpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/FragmentationAction.hpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -12,4 +12,6 @@
 
 class FragmentationFragmentationAction : public Action {
+  friend void FragmentationFragmentation(std::string &path, double distance, int order);
+
 public:
   FragmentationFragmentationAction();
Index: src/Actions/FragmentationAction/SubgraphDissectionAction.cpp
===================================================================
--- src/Actions/FragmentationAction/SubgraphDissectionAction.cpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/SubgraphDissectionAction.cpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -9,4 +9,5 @@
 
 #include "Actions/FragmentationAction/SubgraphDissectionAction.hpp"
+#include "Actions/ActionCalls.hpp"
 #include "atom.hpp"
 #include "config.hpp"
@@ -34,4 +35,8 @@
 FragmentationSubgraphDissectionAction::~FragmentationSubgraphDissectionAction()
 {}
+
+void FragmentationSubgraphDissection() {
+  ActionRegistry::getInstance().getActionByName(FragmentationSubgraphDissectionAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* FragmentationSubgraphDissectionAction::createDialog() {
Index: src/Actions/FragmentationAction/SubgraphDissectionAction.hpp
===================================================================
--- src/Actions/FragmentationAction/SubgraphDissectionAction.hpp	(revision 1015fd16890804d2d405c29e0c84d6d75b318c8e)
+++ src/Actions/FragmentationAction/SubgraphDissectionAction.hpp	(revision 215b89c1e9cba45cc93cbfeab08c569dbea299a7)
@@ -12,4 +12,6 @@
 
 class FragmentationSubgraphDissectionAction : public Action {
+  friend void FragmentationSubgraphDissection();
+
 public:
   FragmentationSubgraphDissectionAction();