Index: tests/regression/Domain/2/post/test.conf
===================================================================
--- tests/regression/Domain/2/post/test.conf	(revision 1b93210482401ac84634a9154269150b34017ddf)
+++ tests/regression/Domain/2/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
+MaxMinStopStep	1	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinStopStep	1	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -55,7 +55,7 @@
 RiemannTensor	0	# (Use metric)
 PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Domain/3/post/test.conf
===================================================================
--- tests/regression/Domain/3/post/test.conf	(revision 1b93210482401ac84634a9154269150b34017ddf)
+++ tests/regression/Domain/3/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
+MaxMinStopStep	1	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinStopStep	1	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -55,7 +55,7 @@
 RiemannTensor	0	# (Use metric)
 PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Domain/4/post/test.conf
===================================================================
--- tests/regression/Domain/4/post/test.conf	(revision 1b93210482401ac84634a9154269150b34017ddf)
+++ tests/regression/Domain/4/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
+MaxMinStopStep	1	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinStopStep	1	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -55,7 +55,7 @@
 RiemannTensor	0	# (Use metric)
 PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Domain/5/post/test.conf
===================================================================
--- tests/regression/Domain/5/post/test.conf	(revision 1b93210482401ac84634a9154269150b34017ddf)
+++ tests/regression/Domain/5/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	0	# check every ..th steps
+MaxMinStopStep	10	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinStopStep	10	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -55,7 +55,7 @@
 RiemannTensor	0	# (Use metric)
 PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+MaxPsiDouble	10	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	10	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	10	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 